Skip to main content
Transfer Links

Create a new transfer link

Transfer links are used to transfer transactions from a financial account to a destination. Once a transfer link is created, Synci will automatically transfer bank transactions to the destination according to the link's configuration. Financial accounts and destinations can have multiple transfer links.

POST
/transfer-links
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
activeboolean | null

Whether the transfer link is active.

destination_idinteger

The ID of the destination transactions should be transferred to.<br> The type of resource the ID refers to depends on the destination type:

  • YNAB: the ID of a YNAB budget account.
  • LUNCH_MONEY: the ID of a Lunch Money account.
  • GOOGLE_SHEETS: the ID of a Google Sheet.
destination_typeenum<string>required

The type of destination the transfer link sends transactions to:

  • YNAB: a YNAB budget account.
  • LUNCH_MONEY: a Lunch Money account.
  • GOOGLE_SHEETS: a Google Sheet.
Available options: YNAB, LUNCH_MONEY, GOOGLE_SHEETS, NOTION
financial_account_idintegerrequired

The ID of the financial account transactions are being transferred from.

on_booked_changeobject

Which destination fields to update when a transaction's booked status changes. If not provided, all fields will be updated.

sync_modeenum<string> | null

Which streams to push to the destination:

  • transactions: only individual transactions (default for bank sources)
  • balance: only periodic balance snapshots
  • transactions_and_balance: both (default for brokerage / crypto sources)
TRANSACTIONS <br/> Push individual transactions only.
BALANCE <br/> Push periodic balance snapshots only.
TRANSACTIONS_AND_BALANCE <br/> Push both transactions and balance snapshots.
Available options: TRANSACTIONS, BALANCE, TRANSACTIONS_AND_BALANCE
transfer_start_datestring | null

The date from which the transfer link will start transferring transactions. If not provided, all available transactions in the attached financial account will be transferred regardless of their date.

Example: 2025-01-01

Response

application/json
dataobjectrequired
messagestringrequired